> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Hosted Runners

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /enterprises/{enterprise}/actions/runners`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#list-self-hosted-runners-for-an-enterprise) - List self-hosted runners for an enterprise
* [`GET /enterprises/{enterprise}/actions/runners/{runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#get-a-self-hosted-runner-for-an-enterprise) - Get a self-hosted runner for an enterprise
* [`DELETE /enterprises/{enterprise}/actions/runners/{runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#delete-a-self-hosted-runner-from-an-enterprise) - Delete a self-hosted runner from an enterprise
* [`GET /enterprises/{enterprise}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#list-labels-for-a-self-hosted-runner-for-an-enterprise) - List labels for a self-hosted runner for an enterprise
* [`POST /enterprises/{enterprise}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#add-custom-labels-to-a-self-hosted-runner-for-an-enterprise) - Add custom labels to a self-hosted runner for an enterprise
* [`PUT /enterprises/{enterprise}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#set-custom-labels-for-a-self-hosted-runner-for-an-enterprise) - Set custom labels for a self-hosted runner for an enterprise
* [`DELETE /enterprises/{enterprise}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#remove-all-custom-labels-from-a-self-hosted-runner-for-an-enterprise) - Remove all custom labels from a self-hosted runner for an enterprise
* [`DELETE /enterprises/{enterprise}/actions/runners/{runner_id}/labels/{name}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#remove-a-custom-label-from-a-self-hosted-runner-for-an-enterprise) - Remove a custom label from a self-hosted runner for an enterprise
* [`GET /enterprises/{enterprise}/actions/runners/downloads`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#list-runner-applications-for-an-enterprise) - List runner applications for an enterprise
* [`POST /enterprises/{enterprise}/actions/runners/generate-jitconfig`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#create-configuration-for-a-just-in-time-runner-for-an-enterprise) - Create configuration for a just-in-time runner for an Enterprise
* [`POST /enterprises/{enterprise}/actions/runners/registration-token`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#create-a-registration-token-for-an-enterprise) - Create a registration token for an enterprise
* [`POST /enterprises/{enterprise}/actions/runners/remove-token`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#create-a-remove-token-for-an-enterprise) - Create a remove token for an enterprise
* [`GET /orgs/{org}/actions/runners`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#list-self-hosted-runners-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List self-hosted runners for an organization
* [`GET /orgs/{org}/actions/runners/{runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#get-a-self-hosted-runner-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get a self-hosted runner for an organization
* [`DELETE /orgs/{org}/actions/runners/{runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#delete-a-self-hosted-runner-from-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete a self-hosted runner from an organization
* [`GET /orgs/{org}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#list-labels-for-a-self-hosted-runner-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List labels for a self-hosted runner for an organization
* [`POST /orgs/{org}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#add-custom-labels-to-a-self-hosted-runner-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Add custom labels to a self-hosted runner for an organization
* [`PUT /orgs/{org}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#set-custom-labels-for-a-self-hosted-runner-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set custom labels for a self-hosted runner for an organization
* [`DELETE /orgs/{org}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#remove-all-custom-labels-from-a-self-hosted-runner-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove all custom labels from a self-hosted runner for an organization
* [`DELETE /orgs/{org}/actions/runners/{runner_id}/labels/{name}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#remove-a-custom-label-from-a-self-hosted-runner-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove a custom label from a self-hosted runner for an organization
* [`GET /orgs/{org}/actions/runners/downloads`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#list-runner-applications-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List runner applications for an organization
* [`POST /orgs/{org}/actions/runners/generate-jitconfig`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#create-configuration-for-a-just-in-time-runner-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Create configuration for a just-in-time runner for an organization
* [`POST /orgs/{org}/actions/runners/registration-token`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#create-a-registration-token-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Create a registration token for an organization
* [`POST /orgs/{org}/actions/runners/remove-token`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#create-a-remove-token-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Create a remove token for an organization
* [`GET /repos/{owner}/{repo}/actions/runners`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#list-self-hosted-runners-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List self-hosted runners for a repository
* [`GET /repos/{owner}/{repo}/actions/runners/{runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#get-a-self-hosted-runner-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get a self-hosted runner for a repository
* [`DELETE /repos/{owner}/{repo}/actions/runners/{runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#delete-a-self-hosted-runner-from-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete a self-hosted runner from a repository
* [`GET /repos/{owner}/{repo}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#list-labels-for-a-self-hosted-runner-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List labels for a self-hosted runner for a repository
* [`POST /repos/{owner}/{repo}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#add-custom-labels-to-a-self-hosted-runner-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Add custom labels to a self-hosted runner for a repository
* [`PUT /repos/{owner}/{repo}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#set-custom-labels-for-a-self-hosted-runner-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set custom labels for a self-hosted runner for a repository
* [`DELETE /repos/{owner}/{repo}/actions/runners/{runner_id}/labels`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#remove-all-custom-labels-from-a-self-hosted-runner-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove all custom labels from a self-hosted runner for a repository
* [`DELETE /repos/{owner}/{repo}/actions/runners/{runner_id}/labels/{name}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#remove-a-custom-label-from-a-self-hosted-runner-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove a custom label from a self-hosted runner for a repository
* [`GET /repos/{owner}/{repo}/actions/runners/downloads`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#list-runner-applications-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List runner applications for a repository
* [`POST /repos/{owner}/{repo}/actions/runners/generate-jitconfig`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#create-configuration-for-a-just-in-time-runner-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Create configuration for a just-in-time runner for a repository
* [`POST /repos/{owner}/{repo}/actions/runners/registration-token`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#create-a-registration-token-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Create a registration token for a repository
* [`POST /repos/{owner}/{repo}/actions/runners/remove-token`](https://docs.github.com/enterprise-cloud@latest/rest/actions/self-hosted-runners#create-a-remove-token-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Create a remove token for a repository
